package cn.net.cpzslibs.prot.handset.bean.req;

import java.util.List;

public class Prot20027ReqBean {
	private String create_time;
	private int flag;//0是单标，1是批量
	private int opt = 1;//1是出库
	private int area_id;
	private int dealer_id;
	private String remark;
	private int actual_num;
	private List<String> single;
	private Prot20002ReqBatchBean batcher;

	public String getCreate_time() {
		return create_time;
	}
	public void setCreate_time(String create_time) {
		this.create_time = create_time;
	}
	public int getFlag() {
		return flag;
	}
	public void setFlag(int flag) {
		this.flag = flag;
	}
	public int getOpt() {
		return opt;
	}
	public void setOpt(int opt) {
		this.opt = opt;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public List<String> getSingle() {
		return single;
	}
	public void setSingle(List<String> single) {
		this.single = single;
	}
	public Prot20002ReqBatchBean getBatcher() {
		return batcher;
	}
	public void setBatcher(Prot20002ReqBatchBean batcher) {
		this.batcher = batcher;
	}
	public int getArea_id() {
		return area_id;
	}
	public void setArea_id(int area_id) {
		this.area_id = area_id;
	}
	public int getDealer_id() {
		return dealer_id;
	}
	public void setDealer_id(int dealer_id) {
		this.dealer_id = dealer_id;
	}
	public int getActual_num() {
		return actual_num;
	}
	public void setActual_num(int actual_num) {
		this.actual_num = actual_num;
	}
	@Override
	public String toString() {
		return "Prot20027ReqBean [create_time=" + create_time + ", flag=" + flag + ", opt=" + opt + ", area_id="
				+ area_id + ", dealer_id=" + dealer_id + ", remark=" + remark + ", actual_num=" + actual_num
				+ ", single=" + single + ", batcher=" + batcher + "]";
	}
}
